/*******************************************************************************
 TESINA n°5 per esame di: ELABORAZIONI dei SEGNALI ed INFORMAZIONI di MISURA:

 NOMEFILE: Unit3.h (Oscilloscopio)

 NOTE: Header file relativo al file Unit2.cpp (Oscilloscopio).
*******************************************************************************/

#ifndef Unit3H
#define Unit3H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------

class TForm3 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TEdit *Edit2;
        TEdit *Edit3;
        TButton *Button10;
        TRadioGroup *Esecuzione;
        TRadioGroup *Pannello;
        TRadioGroup *Canale1;
        TRadioGroup *Canale2;
        TScrollBar *ContrVal;
        TUpDown *UpDown1;
        TUpDown *UpDown2;
        TPanel *Panel1;
        TLabel *Label6;
        TLabel *Label1;
        TPanel *Panel2;
        TLabel *Label4;
        TLabel *Label7;
        TEdit *Edit4;
        TEdit *Edit5;
        TUpDown *UpDown3;
        TUpDown *UpDown4;
        TLabel *Label3;
        TLabel *Label5;
        TPanel *Panel3;
        TLabel *Label8;
        TEdit *Edit6;
        TLabel *Label2;
        TUpDown *UpDown5;
        TEdit *Edit7;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TScrollBar *HorizPos;
        TRadioGroup *Sonda;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall EsecuzioneClick(TObject *Sender);
        void __fastcall PannelloClick(TObject *Sender);
        void __fastcall Canale1Click(TObject *Sender);
        void __fastcall Canale2Click(TObject *Sender);
        void __fastcall ContrValChange(TObject *Sender);
        void __fastcall UpDown1Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown2Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown3Click(TObject *Sender, TUDBtnType Button);
        void __fastcall UpDown4Click(TObject *Sender, TUDBtnType Button);
        void __fastcall HorizPosChange(TObject *Sender);
        void __fastcall SondaClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm3(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm3 *Form3;
//---------------------------------------------------------------------------
#endif
